#!/bin/bash
# Other nonalphabetic characters

trap "/usr/bin/killall -q -u $USER ./TSP 2>/dev/null" 0 1 2 3 9 15
trap "/bin/rm -f $STDERR" 0 1 2 3 9 15
if [ ! -x ./TSP ]; then
  echo './TSP is missing or not executable'
  echo './TSP is missing or not executable' 1>&2
  exit 1
fi


$BIN/run -stdout=/dev/null -stderr=/dev/null /usr/bin/valgrind --tool=memcheck --leak-check=yes -q  --log-file=valgrind.out ./TSP $WHERE/t044.in -given "Portland (Oregon)" Winston-Salem "Coeur d'Alene" A20 < /dev/null
cat valgrind.out
